#!/bin/bash

accelerate launch --config_file configs/accelerate_configs/deepspeed_zero1.yaml train.py \
    --dataset_name textvqa \
    --use_peft \
    --peft_type MOELORA \
    --model_name_or_path Qwen/Qwen2.5-Omni-3B \
    --lora_target_modules .*model\.layers.*proj\|.*merger.*0\|.*merger.*1 \
    --lora_r 8 \
    --lora_alpha 32 \
    --per_device_train_batch_size 3 \
    --per_device_eval_batch_size 1 \
    --gradient_accumulation_steps 2 \
    --num_train_epochs 1 \
    --output_dir checkpoint/qwen2_5omni_moelora/ \
    --learning_rate 2e-4 \
    --warmup_ratio 0.03 \
    --lr_scheduler_type cosine \
    --bf16 \
    --torch_dtype bfloat16 \
    --logging_steps 100 \
    --gradient_checkpointing \
    --weight_decay 0.1 \
    --eval_strategy steps \
    # --resume_from_checkpoint /root/autodl-tmp/zhouyunyao/projects/CL-LMM/src/checkpoint/qwen2_5omni_moelora/checkpoint-1500 